Incidencia #44460

Release 3.0.2

Abrir Fecha: 2022-04-25 06:37 Última actualización: 2022-06-13 10:11

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
(Ninguno)
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
Ninguno

Details

We have a lot of things that we *may* fix to 3.0.2, but let's track here what are the critical must things. I assume that 3.0.2 gets released at some point before my summer break.

--

- create_command_newcomer() bypassing server operator set restriction: #44185 (done)
- Lua vulnerability: #44467 (done)
- Update vulnerabilities reporting documentation (email address): #44479 (done)
- Unit orders cancelling regression since 3.0.1: #44504 (done)
- Unit orders cancelling regression since 3.0.1, part 2: #44519 (done)
- clang-15 build failures: #44563 (done), #44564 (done)
- License information in appdata files: #44712 (done)
- Build failure with gcc-12 & -O3: #44790 (done)

Ticket History (3/17 Histories)

2022-04-25 06:37 Updated by: cazfi
  • New Ticket "Release 3.0.2" created
2022-04-25 18:15 Updated by: alain_bkr
Comentario

May i suggest to raise the Severity of those tickets to 9-Highest

Thus everyone will see what is critical, and put more efforts one these issues.

2022-04-26 03:56 Updated by: cazfi
  • Details Updated
2022-04-26 04:21 Updated by: cazfi
  • Details Updated
2022-04-28 22:20 Updated by: cazfi
  • Details Updated
2022-04-29 14:53 Updated by: cazfi
Comentario

Reply To alain_bkr

May i suggest to raise the Severity of those tickets to 9-Highest

I've now elevated severity of most of them. We reserve 9 for "emergency fixes" (bypassing review periods etc), but anything above the default (5) shows up from the list. I've used just 6 for that, 7 for things with security implications.

2022-05-03 22:05 Updated by: cazfi
  • Details Updated
2022-05-03 22:05 Updated by: cazfi
  • Details Updated
2022-05-06 20:14 Updated by: cazfi
  • Details Updated
2022-05-12 09:16 Updated by: cazfi
  • Details Updated
2022-05-13 11:23 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Details Updated
2022-05-25 12:30 Updated by: cazfi
  • Details Updated
2022-05-29 13:51 Updated by: cazfi
  • Details Updated
2022-06-11 11:24 Updated by: cazfi
  • Details Updated
2022-06-13 08:31 Updated by: cazfi
  • Details Updated
2022-06-13 09:20 Updated by: cazfi
Comentario

3.0.2 tag pushed to github. S3_0 is now open for 3.0.3 development.

2022-06-13 10:11 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Ninguno to Fixed

Attachment File List

No attachments

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar